Bug 158925 - New Port: audio/pithos GNOME Pandora player
Summary: New Port: audio/pithos GNOME Pandora player
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-15 01:20 UTC by John Hixson
Modified: 2012-04-16 19:50 UTC (History)
0 users

See Also:


Attachments
file.shar (9.45 KB, text/plain)
2011-07-15 01:20 UTC, John Hixson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Hixson 2011-07-15 01:20:09 UTC
This is a GNOME Pandora player

Fix: Patch attached with submission follows:
Comment 1 Xin LI freebsd_committer 2011-09-23 00:51:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Take.
Comment 2 Winston Weinert 2012-01-09 07:01:16 UTC
It appears Launchpad -- where Pithos's vcs is hosted -- has Debian and 
Ubuntu source packages available for download. Debian-based 
(https://en.wikipedia.org/wiki/Debian_build_toolchain#Source_packages) 
source packages for Pithos are available at 
https://launchpad.net/pithos/+packages (follow the "Source package" 
table-column's link labeled "pithos"; see "Download files from current 
release"). I would suggest using the Debian sid source package; we want 
the original sources which named "pithos_0.3.14.orig.tar.gz" in Debian 
sid.

With that understood, we have this URL to fetch the distfile:
https://launchpad.net/debian/sid/+source/pithos/0.3.14-1/+files/pithos_0.3.14.orig.tar.gz

I would enjoy Pithos on FreeBSD very much and I would not want this PR 
closed for the same problem discussed in the last attempt (PR 
ports/151371).
Comment 3 John Hixson 2012-01-09 23:27:09 UTC
On Mon, Jan 09, 2012 at 01:01:16AM -0600, Winston Weinert wrote:
> It appears Launchpad -- where Pithos's vcs is hosted -- has Debian and 
> Ubuntu source packages available for download. Debian-based 
> (https://en.wikipedia.org/wiki/Debian_build_toolchain#Source_packages) 
> source packages for Pithos are available at 
> https://launchpad.net/pithos/+packages (follow the "Source package" 
> table-column's link labeled "pithos"; see "Download files from current 
> release"). I would suggest using the Debian sid source package; we want 
> the original sources which named "pithos_0.3.14.orig.tar.gz" in Debian 
> sid.
> 
> With that understood, we have this URL to fetch the distfile:
> https://launchpad.net/debian/sid/+source/pithos/0.3.14-1/+files/pithos_0.3.14.orig.tar.gz
> 
> I would enjoy Pithos on FreeBSD very much and I would not want this PR 
> closed for the same problem discussed in the last attempt (PR 
> ports/151371).
> 

Hi Winston,

Thanks for the heads up. I'll take a look at this sometime this week.

- John
Comment 4 Xin LI freebsd_committer 2012-04-16 19:48:06 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2012-04-16 19:48:09 UTC
delphij     2012-04-16 18:47:55 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/pithos         Makefile distinfo pkg-descr pkg-plist 
    audio/pithos/files   patch-bin__pithos patch-setup.py 
  Log:
  New Port: audio/pithos GNOME Pandora player
  
  PR:             ports/158925
  Submitted by:   John Hixson <john ixsystems.com>
  
  Revision  Changes    Path
  1.1219    +1 -0      ports/audio/Makefile
  1.1       +45 -0     ports/audio/pithos/Makefile (new)
  1.1       +2 -0      ports/audio/pithos/distinfo (new)
  1.1       +8 -0      ports/audio/pithos/files/patch-bin__pithos (new)
  1.1       +80 -0     ports/audio/pithos/files/patch-setup.py (new)
  1.1       +5 -0      ports/audio/pithos/pkg-descr (new)
  1.1       +97 -0     ports/audio/pithos/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"